Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"BotMailRoom","colors":{"primary":"#f5c255","light":"#f5c255","dark":"#f5c255"},"favicon":"/logo/logo.png","logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/logo/logo.png","dark":"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/logo/logo.png"},"api":{"openapi":"https://api.botmailroom.com/api/v1/openapi.json"},"navbar":{"links":[{"label":"Support","href":"mailto:support@inbox.botmailroom.com"}],"primary":{"type":"button","label":"App","href":"https://app.botmailroom.com"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"botmailroom","hasAudioNarration":false,"actualSubdomain":"botmailroom","customDomains":["docs.botmailroom.com"],"gitSource":{"type":"github","owner":"botmailroom","repo":"botmailroom","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c636b7c442096901cd56","collectionId":"6128649a-2d2a-4288-89a1-2b95f6ae8b5c","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae922e97d386b1c81ef7f0b:success","clientVersion":"0.0.4064","searchFilterCounts":[{"language":"default","tag":"Email","count":10},{"language":"default","tag":"Getting Started","count":5},{"language":"default","tag":"Domain","count":3},{"language":"default","tag":"Inbox","count":2},{"language":"default","tag":"Tools","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"documentation/api-reference/email/add-attachment-to-pool","slug":"/documentation/api-reference/email/add-attachment-to-pool","pageMetadata":{"title":"Add Attachment To Pool","description":"Add an attachment to the attachments pool. Only attachments in the pool can be used in `send_email` requests.","openapi":"post /api/v1/email/add-attachment-to-pool","href":"/documentation/api-reference/email/add-attachment-to-pool"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Add an attachment to the attachments pool. Only attachments in the pool can be used in \", _jsx(_components.code, {\n children: \"send_email\"\n }), \" requests.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Add Attachment To Pool","description":"Add an attachment to the attachments pool. Only attachments in the pool can be used in `send_email` requests.","openapi":"post /api/v1/email/add-attachment-to-pool","href":"/documentation/api-reference/email/add-attachment-to-pool"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"subdomain":"botmailroom","siteName":"BotMailRoom","title":"Add Attachment To Pool - BotMailRoom","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"documentation/api-reference/email/add-attachment-to-pool.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.\">\u003cmeta data-mint-head name=\"application-name\" content=\"BotMailRoom\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Add Attachment To Pool - BotMailRoom\">\u003cmeta data-mint-head property=\"og:description\" content=\"Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"BotMailRoom\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://botmailroom.mintlify.app/_mintlify/api/og/v2?division=Email\u0026amp;title=Add+Attachment+To+Pool\u0026amp;description=Add+an+attachment+to+the+attachments+pool.+Only+attachments+in+the+pool+can+be+used+in+%60send_email%60+requests.\u0026amp;theme=e512a71dfc2172945ffebc42\u0026amp;signature=50528269e37a8b453f7f66c68a4677a7bedec67ea417489a5bd299a15c18626a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Add Attachment To Pool - BotMailRoom\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://botmailroom.mintlify.app/_mintlify/api/og/v2?division=Email\u0026amp;title=Add+Attachment+To+Pool\u0026amp;description=Add+an+attachment+to+the+attachments+pool.+Only+attachments+in+the+pool+can+be+used+in+%60send_email%60+requests.\u0026amp;theme=e512a71dfc2172945ffebc42\u0026amp;signature=50528269e37a8b453f7f66c68a4677a7bedec67ea417489a5bd299a15c18626a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"BotMailRoom\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#f5c255\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/documentation/api-reference/email/add-attachment-to-pool.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.botmailroom.com/#organization\",\"name\":\"BotMailRoom\",\"url\":\"https://docs.botmailroom.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3.us-west-1.amazonaws.com/botmailroom/logo/logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.botmailroom.com#website\",\"name\":\"BotMailRoom\",\"url\":\"https://docs.botmailroom.com\",\"publisher\":{\"@id\":\"https://docs.botmailroom.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool#webpage\",\"url\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool\",\"name\":\"Add Attachment To Pool\",\"description\":\"Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.\",\"isPartOf\":{\"@id\":\"https://docs.botmailroom.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Email\",\"item\":\"https://docs.botmailroom.com/documentation/api-reference/email/send-email\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Add Attachment To Pool\",\"item\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool#apireference\",\"headline\":\"Add Attachment To Pool\",\"name\":\"Add Attachment To Pool\",\"description\":\"Add an attachment to the attachments pool. Only attachments in the pool can be used in send_email requests.\",\"url\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool\",\"mainEntityOfPage\":{\"@id\":\"https://docs.botmailroom.com/documentation/api-reference/email/add-attachment-to-pool#webpage\"},\"publisher\":{\"@id\":\"https://docs.botmailroom.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.botmailroom.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"BotMailRoom\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"BotMailRoom","nav":{"global":null,"groups":[{"group":"Getting Started","pages":[{"title":"Quickstart","href":"/documentation/quickstart"},{"title":"Send an Email","href":"/documentation/send-email"},{"title":"Custom Authentication Rules","href":"/documentation/custom-authentication-rules"},{"title":"Receiving Emails via Webhook","href":"/documentation/receiving-emails-via-webhook"},{"title":"Custom Domains","href":"/documentation/custom-domains"}]},{"group":"Email","pages":[{"title":"Send Email","openapi":"post /api/v1/email/send","href":"/documentation/api-reference/email/send-email"},{"title":"Get Emails","openapi":"get /api/v1/email","href":"/documentation/api-reference/email/get-emails"},{"title":"Get Email Content","openapi":"get /api/v1/email/{email_id}","href":"/documentation/api-reference/email/get-email-content"},{"title":"Get Email Attachment","openapi":"get /api/v1/email/{email_id}/attachment/{attachment_id}","href":"/documentation/api-reference/email/get-email-attachment"},{"title":"Get Email Raw","openapi":"get /api/v1/email/{email_id}/raw","href":"/documentation/api-reference/email/get-email-raw"},{"title":"Mark Email","description":"Mark an email as valid (if it is not already valid) or invalid (if it is not\nalready invalid).","openapi":"post /api/v1/email/{email_id}/mark/{valid}","href":"/documentation/api-reference/email/mark-email"},{"title":"Add Attachment To Pool","openapi":"post /api/v1/email/add-attachment-to-pool","href":"/documentation/api-reference/email/add-attachment-to-pool"},{"title":"Get Outbound Emails","description":"Get the a list of all emails sent by the user - only returns the metadata of the outbound emails","openapi":"get /api/v1/email/outbound","href":"/documentation/api-reference/email/get-outbound-emails"},{"title":"Get Outbound Email Content","openapi":"get /api/v1/email/outbound/{outbound_email_id}","href":"/documentation/api-reference/email/get-outbound-email-content"},{"title":"Get Outbound Email Attachment","openapi":"get /api/v1/email/outbound/{outbound_email_id}/attachment/{attachment_id}","href":"/documentation/api-reference/email/get-outbound-email-attachment"}]},{"group":"Inbox","pages":[{"title":"Get Inboxes","openapi":"get /api/v1/inbox","href":"/documentation/api-reference/inbox/get-inboxes"},{"title":"Upsert Inbox","openapi":"post /api/v1/inbox/upsert","href":"/documentation/api-reference/inbox/upsert-inbox"}]},{"group":"Domain","pages":[{"title":"Get Domains","openapi":"get /api/v1/domain","href":"/documentation/api-reference/domain/get-domains"},{"title":"Create Domain","openapi":"post /api/v1/domain/create","href":"/documentation/api-reference/domain/create-domain"},{"title":"Verify Domain","openapi":"get /api/v1/domain/{domain_id}/verify","href":"/documentation/api-reference/domain/verify-domain"}]},{"group":"Tools","pages":[{"title":"Get Tools","openapi":"get /api/v1/tools","href":"/documentation/api-reference/tools/get-tools"}]}]},"basePath":"","title":"Add Attachment To Pool - BotMailRoom","buildId":"dpl_2gSLkbMoF5kkLsBqYzq9KWtDyJRo","deploymentId":"dpl_2gSLkbMoF5kkLsBqYzq9KWtDyJRo","dynamics":["b0f84f53ff"],"chunks":["Page-BsZAA8xk.js","ApiExamples-DyrCOido.js","utils-Bfp7HcY4.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","cloneDeep-izs3Hzxb.js","utils-D8dSW7yV.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Bwwdcyh3.js","shallow-drVXTg79.js","snippetPresets-dMW1-pV3.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","getApiPlaygroundDisplay-GMPxUzWV.js","CodeSnippet-wTmV0wP6.js","CodeSnippets-D_QxCJEq.js","getPastedJson-Dev-X0Xy.js","icon-7L2WL0jD.js","MethodPill-Ble59Dl_.js","DuplicateIcon-r-98uLGh.js","createIcon-DaFzipjW.js","DynamicMarkdown-Jk8YAWGN.js","addUniqueKeysToSchema-CFgQXcZO.js","SectionHeading-nLgrCDOg.js","axios-vUo_bRtp.js"]}